<?php
/*------------------------------------------------------------------------
# mod_vtem_twitter_search - VTEM Twitter Search Module
# ------------------------------------------------------------------------
# author Nguyen Van Tuyen
# copyright Copyright (C) 2011 VTEM.NET. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vtem.net
# Technical Support: Forum - http://vtem.net/en/forum.html
-------------------------------------------------------------------------*/
defined('_JEXEC') or die('Restricted access');

$slideID 				= 'twittersearchid'.$module->id;
$width 			  		= $params->get('width', '100%');
$height					= $params->get('height', '400px');
$search 				= $params->get('term', 'joomla');
$title 					= $params->get('title');
$titleLink 				= $params->get( 'titleLink');
$backgroundExterior		= $params->get('backgroundExterior', '#5bcbf4');
$backgroundInterior		= $params->get('backgroundInterior', '#eee');
$textcolor				= $params->get('textcolor', '#333');
$linkcolor				= $params->get('linkcolor', '#026b92');
$anchors				= $params->get('anchors', 1 ) ? 'true' : 'false';
$avatar					= $params->get('avatar', 1 ) ? 'true' : 'false';
$bird					= $params->get( 'bird', 1 ) ? 'true' : 'false';
$birdSrc 				= $params->get( 'birdSrc','http://cloud.github.com/downloads/malsup/twitter/tweet.gif' );
$birdLink 				= $params->get( 'birdLink','http://www.vtem.net' );
$pause					= $params->get( 'pause', 0 ) ? 'true' : 'false';
$time					= $params->get( 'time', 1 ) ? 'true' : 'false';
$timeout				= $params->get('timeout', 4000);
$refreshSeconds			= $params->get('refreshSeconds', 0);
$applyStyles			= $params->get( 'applyStyles', 1 ) ? 'true' : 'false';
$script 				= $params->get( 'script', 1 );
$css 					= $params->get( 'css' );
$consumerkey 			= $params->get( 'consumerkey' );
$consumersecret 		= $params->get( 'consumersecret' );
$accesstoken 			= $params->get( 'accesstoken' );
$accesstokensecret		= $params->get( 'accesstokensecret' );

$notweets = 100;
if($consumerkey == NULL || $consumerkey == '') $consumerkey = "klT2sNo6zvc5qR97PV2BQ"; else $consumerkey = $consumerkey;
if($consumersecret == NULL || $consumersecret == '') $consumersecret = "qpdZS8ZEC6RtE9cVbMEg5BP9DU58Pw3UUtuzDobeDw"; else $consumersecret = $consumersecret;
if($accesstoken == NULL || $accesstoken == '') $accesstoken = "202571501-WLYq5i5M8Cp7hsgALvPUUkq5IdTFTcIN1pFQDbmy"; else $accesstoken = $accesstoken;
if($accesstokensecret == NULL || $accesstokensecret == '') $accesstokensecret = "bqq8tzyguNqJG7aJFe8hTkD4eBW5dw7BZP8KjCLMY"; else $accesstokensecret = $accesstokensecret;
require_once (dirname(__FILE__).DS.'helper.php');
$connection = modVtemTwitterHelper::getConnectionWithAccessToken($consumerkey, $consumersecret, $accesstoken, $accesstokensecret);
$search = str_replace("#", "%23", $search);
$tweets = $connection->get("https://api.twitter.com/1.1/search/tweets.json?q=".$search."&count=".$notweets);
$data = json_encode($tweets);
$my_file = str_replace(' ', '-',trim($search)).'.txt';
$handle = fopen(JPATH_SITE.DS.'modules'.DS.'mod_vtem_twitter_search'.DS.$my_file, 'wb') or die('Cannot open file: '.$my_file);
fwrite($handle, $data);
fclose($handle);

$doc = JFactory::getDocument();
if($script)
   $doc->addScript(JURI::root(true).'/modules/mod_vtem_twitter_search/assets/jquery-1.4.2-min.js');
$customstyle='#'.$slideID.'{margin:15px 5px 5px 15px; color:'.$textcolor.' !important;} #'.$slideID.' a{color:'.$linkcolor.' !important;} #'.$slideID.' .twitterSearchUser a{font-weight:bold;}';
$customstyle .= $css;
$doc->addStyleDeclaration($customstyle);	
require(JModuleHelper::getLayoutPath('mod_vtem_twitter_search'));
?>