<?php
/*------------------------------------------------------------------------
# mod_vtem_twitter_search - VTEM Twitter Search Module
# ------------------------------------------------------------------------
# author Nguyen Van Tuyen
# copyright Copyright (C) 2011 VTEM.NET. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vtem.net
# Technical Support: Forum - http://vtem.net/en/forum.html
-------------------------------------------------------------------------*/
// no direct access
defined('_JEXEC') or die('Restricted access');
?>
<script type="text/javascript" src="<?php echo JURI::root();?>modules/mod_vtem_twitter_search/assets/jquery.twitter.search.js"></script>
<script type="text/javascript">
var vtemtwittersearch = jQuery.noConflict();
(function($) {
$(document).ready(function(){
    $('#<?php echo $slideID;?>').twitterSearch({
		url: '<?php echo JURI::root();?>modules/mod_vtem_twitter_search/<?php echo str_replace(' ', '-',trim($search));?>.txt',
		width: '<?php echo $width;?>',
		height: '<?php echo $height;?>',
	    anchors: <?php echo $anchors;?>,						// true or false (enable embedded links in tweets)
		animOutSpeed: 500,										// speed of animation for top tweet when removed
		animInSpeed: 500,										// speed of scroll animation for moving tweets up
		animOut: { opacity: 0 },								// animation of top tweet when it is removed
		applyStyles: <?php echo $applyStyles;?>,				// true or false (apply default css styling or not)
		avatar: <?php echo $avatar;?>,							// true or false (show or hide twitter profile images)
		bird: <?php echo $bird;?>,								// true or false (show or hide twitter bird image)
		birdLink: '<?php echo $birdLink;?>',					// url that twitter bird image should like to
		birdSrc: '<?php echo $birdSrc;?>', 						// twitter bird image
		colorExterior: '<?php echo $backgroundExterior;?>',     // css override of frame border-color and title background-color
		colorInterior: '<?php echo $backgroundInterior;?>',     // css override of container background-color
		pause: <?php echo $pause;?>,							// true or false (pause on hover)
		refreshSeconds: <?php echo $refreshSeconds;?>,          // number of seconds to wait before polling for newer tweets
		term: '<?php echo $search;?>',							// twitter search term
		time: <?php echo $time;?>,								// true or false (show or hide the time that the tweet was sent)
		timeout: <?php echo $timeout;?>,						// delay betweet tweet scroll
		title: <?php if($title != ""){echo "'".$title."'";}else{echo "null";}?>,	// title text to display when frame option is true (default = 'term' text)
		titleLink: <?php if($titleLink != ""){echo "'".$titleLink."'";}else{echo "null";}?>
	});
});
})(jQuery);
</script>
<div id="<?php echo $slideID;?>"></div>
